<template>
  <div>
    <SearchVoc
      @searching="searching"
      @vocabularyTerms="handleVocabularyTerms"
    />
    <ListVocs
      :readonly="readonly"
      :search-running="searchRunning"
      :vocabulary-terms="vocabularyTerms"
      @addVocabularyTerm="addVocabularyTerm"
    />
  </div>
</template>

<script lang="ts">
import VocabularyTerm from "@/types/vocabulary-term";

import { defineComponent } from "vue";

export default defineComponent({
  name: "TermSelection",
  props: {
    readonly: {
      default: false,
      type: Boolean,
    },
  },
  data() {
    return {
      searchRunning: false,
      vocabularyTerms: [] as Array<VocabularyTerm>,
    };
  },
  methods: {
    addVocabularyTerm(vocabularyTerm: VocabularyTerm) {
      this.$emit("addVocabularyTerm", vocabularyTerm);
    },
    handleVocabularyTerms(vocabularyTerms: Array<VocabularyTerm>) {
      this.vocabularyTerms = vocabularyTerms;
    },
    searching(searchRunning: boolean) {
      this.searchRunning = searchRunning;
    },
  },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
